For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GithubSign up
DocsCouriersShippersForwardersTrackersAppAPI ReferenceSDKsFAQ
DocsCouriersShippersForwardersTrackersAppAPI ReferenceSDKsFAQ
  • API Reference
      • GETGet info
      • GETList members
      • POSTSet up org
      • GETGet Stripe Connect Account ID
        • GETList compliance documents
        • GETGet compliance document
        • POSTCreate compliance document
        • PATCHUpdate compliance document
LogoLogo
GithubSign up
API ReferenceOrgsCompliance Documents

List compliance documents

GET
/orgs/compliance_documents/list/v1
GET
/orgs/compliance_documents/list/v1
1import { ChrtClient } from "@chrt-inc/typescript-sdk";
2
3async function main() {
4 const client = new ChrtClient({
5 token: "YOUR_TOKEN_HERE",
6 });
7 await client.orgs.complianceDocuments.listV1();
8}
9main();
200Retrieved
1[
2 {
3 "schema_version": 1,
4 "_id": "doc_9f8b7c6a2d3e4f1a",
5 "org_type": "provider",
6 "org_id": "org_12345abcde",
7 "document_type": "security_threat_assessment",
8 "description": "Annual security threat assessment report for 2024.",
9 "org_compliance_document_s3_object_metadata_ids": [
10 "s3meta_9876543210abcdef"
11 ],
12 "valid_from": "2024-01-15T09:30:00Z",
13 "valid_until": "2025-01-15T09:30:00Z"
14 }
15]

Lists compliance documents for the caller’s provider organization. | authz: allowed_org_types=[provider], min_org_role=operator | () -> (list[OrgComplianceDocument1])

Was this page helpful?
Previous

Get compliance document

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Successful Response
schema_versioninteger
_idstring
org_typeenum
Allowed values:
org_idstring

Must be a string starting with org_

document_typeenum
descriptionstring<=524288 characters
org_compliance_document_s3_object_metadata_idslist of strings
valid_fromdatetime
valid_untildatetime